org.crosswire.jsword.book.study

## Class StrongsMapSet

- java.lang.Object
- - org.crosswire.jsword.book.study.StrongsMapSet

-     public class StrongsMapSet
      extends Object

  A StrongsMapSet is keyed by a Strong's Number of the form Gd or Hd, where G and H stand for Greek and Hebrew respectively and d is the actual number, zero padded to 4 digits. The value for a MapEntry is a Set of Strings, which are the various ways a Strong's Number is marked up.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Map<String,Set<String>>` | `map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrongsMapSet()` Build an empty Strong's Map Set.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(String strongsNumber, String representation)` Add a String representing the content of an instance of a Strong's Number in a text.
    `Set<String>` | `get(String strongsNumber)` Get the set of all representations for a Strong's Number.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map

          private Map<String,Set<String>> map

  - ### Constructor Detail

    - #### StrongsMapSet

          public StrongsMapSet()

      Build an empty Strong's Map Set.

  - ### Method Detail

    - #### add

          public void add(String strongsNumber,
                 String representation)

      Add a String representing the content of an instance of a Strong's Number in a text.
      Parameters:
        `strongsNumber` - the Strong's Number
        `representation` - a way the Strong's number is represented.

    - #### get

          public Set<String> get(String strongsNumber)

      Get the set of all representations for a Strong's Number.
      Parameters:
        `strongsNumber` -
      Returns:
        the whole set